Package gov.nasa.gsfc.sscweb.schema

# Class MapProjectionGraphOptions

java.lang.Object
gov.nasa.gsfc.sscweb.schema.GraphOptions
gov.nasa.gsfc.sscweb.schema.MapProjectionGraphOptions

public class MapProjectionGraphOptions extends GraphOptions
SSC map projection graphing request options. <p>Java class for MapProjectionGraphOptions complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="MapProjectionGraphOptions"> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}GraphOptions"> <sequence> <element name="Trace" type="{http://sscweb.gsfc.nasa.gov/schema}MapProjectionTrace"/> <element name="CoordinateSystem" type="{http://sscweb.gsfc.nasa.gov/schema}ProjectionCoordinateSystem"/> <element name="ShowContinents" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="Projection" type="{http://sscweb.gsfc.nasa.gov/schema}MapProjection"/> <element name="GroundStations" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/> <element name="MapLimits" type="{http://sscweb.gsfc.nasa.gov/schema}MapLimits"/> <element name="PolarMapOrientation" type="{http://sscweb.gsfc.nasa.gov/schema}PolarMapOrientation"/> <element name="LongitudeVerticalDown" type="{http://www.w3.org/2001/XMLSchema}float"/> <element name="Title" type="{http://www.w3.org/2001/XMLSchema}string"/> <element name="FormatOptions" type="{http://sscweb.gsfc.nasa.gov/schema}GraphFormatOptions" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ProjectionCoordinateSystem`
  `coordinateSystem`
  Specifies the coordinate system options.
  `protected GraphFormatOptions`
  `formatOptions`
  Specifies output label options.
  `protected List<String>`
  `groundStations`
  GEO ground stations to display.
  `protected float`
  `longitudeVerticalDown`
  Longitude plotted as vertical down value.
  `protected MapLimits`
  `mapLimits`
  Map limits.
  `protected PolarMapOrientation`
  `polarMapOrientation`
  Polar map orientation.
  `protected MapProjection`
  `projection`
  Specifies the projection option.
  `protected boolean`
  `showContinents`
  Specifies whether continents are to be displayed on the graph.
  `protected String`
  `title`
  Title.
  `protected MapProjectionTrace`
  `trace`
  Specifies the trace options.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MapProjectionGraphOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProjectionCoordinateSystem`
  `getCoordinateSystem()`
  Specifies the coordinate system options.
  `GraphFormatOptions`
  `getFormatOptions()`
  Specifies output label options.
  `List<String>`
  `getGroundStations()`
  GEO ground stations to display.
  `float`
  `getLongitudeVerticalDown()`
  Longitude plotted as vertical down value.
  `MapLimits`
  `getMapLimits()`
  Map limits.
  `PolarMapOrientation`
  `getPolarMapOrientation()`
  Polar map orientation.
  `MapProjection`
  `getProjection()`
  Specifies the projection option.
  `String`
  `getTitle()`
  Title.
  `MapProjectionTrace`
  `getTrace()`
  Specifies the trace options.
  `boolean`
  `isShowContinents()`
  Specifies whether continents are to be displayed on the graph.
  `void`
  `setCoordinateSystem(ProjectionCoordinateSystem value)`
  Sets the value of the coordinateSystem property.
  `void`
  `setFormatOptions(GraphFormatOptions value)`
  Sets the value of the formatOptions property.
  `void`
  `setLongitudeVerticalDown(float value)`
  Sets the value of the longitudeVerticalDown property.
  `void`
  `setMapLimits(MapLimits value)`
  Sets the value of the mapLimits property.
  `void`
  `setPolarMapOrientation(PolarMapOrientation value)`
  Sets the value of the polarMapOrientation property.
  `void`
  `setProjection(MapProjection value)`
  Sets the value of the projection property.
  `void`
  `setShowContinents(boolean value)`
  Sets the value of the showContinents property.
  `void`
  `setTitle(String value)`
  Sets the value of the title property.
  `void`
  `setTrace(MapProjectionTrace value)`
  Sets the value of the trace property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### trace

    protected MapProjectionTrace trace
    Specifies the trace options.

  - ### coordinateSystem

    protected ProjectionCoordinateSystem coordinateSystem
    Specifies the coordinate system options.

  - ### showContinents

    protected boolean showContinents
    Specifies whether continents are to be displayed on the graph. This option is only effective for coordinateSystem = GEO. Continents are not shown for other coordinate systems.

  - ### projection

    protected MapProjection projection
    Specifies the projection option.

  - ### groundStations

    protected List<String> groundStations
    GEO ground stations to display.

  - ### mapLimits

    protected MapLimits mapLimits
    Map limits.

  - ### polarMapOrientation

    protected PolarMapOrientation polarMapOrientation
    Polar map orientation.

  - ### longitudeVerticalDown

    protected float longitudeVerticalDown
    Longitude plotted as vertical down value.

  - ### title

    protected String title
    Title.

  - ### formatOptions

    protected GraphFormatOptions formatOptions
    Specifies output label options. An absent value indicates that default values should be used.

- ## Constructor Details

  - ### MapProjectionGraphOptions

    public MapProjectionGraphOptions()

- ## Method Details

  - ### getTrace

    public MapProjectionTrace getTrace()
    Specifies the trace options.
    Returns:
      possible object is `MapProjectionTrace`

  - ### setTrace

    public void setTrace(MapProjectionTrace value)
    Sets the value of the trace property.
    Parameters:
      `value` - allowed object is `MapProjectionTrace`
    See Also:
      - `getTrace()`

  - ### getCoordinateSystem

    public ProjectionCoordinateSystem getCoordinateSystem()
    Specifies the coordinate system options.
    Returns:
      possible object is `ProjectionCoordinateSystem`

  - ### setCoordinateSystem

    public void setCoordinateSystem(ProjectionCoordinateSystem value)
    Sets the value of the coordinateSystem property.
    Parameters:
      `value` - allowed object is `ProjectionCoordinateSystem`
    See Also:
      - `getCoordinateSystem()`

  - ### isShowContinents

    public boolean isShowContinents()
    Specifies whether continents are to be displayed on the graph. This option is only effective for coordinateSystem = GEO. Continents are not shown for other coordinate systems.

  - ### setShowContinents

    public void setShowContinents(boolean value)
    Sets the value of the showContinents property.

  - ### getProjection

    public MapProjection getProjection()
    Specifies the projection option.
    Returns:
      possible object is `MapProjection`

  - ### setProjection

    public void setProjection(MapProjection value)
    Sets the value of the projection property.
    Parameters:
      `value` - allowed object is `MapProjection`
    See Also:
      - `getProjection()`

  - ### getGroundStations

    public List<String> getGroundStations()
    GEO ground stations to display. Gets the value of the groundStations property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the groundStations property.

    For example, to add a new item, do as follows:

         getGroundStations().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the groundStations property.

  - ### getMapLimits

    public MapLimits getMapLimits()
    Map limits.
    Returns:
      possible object is `MapLimits`

  - ### setMapLimits

    public void setMapLimits(MapLimits value)
    Sets the value of the mapLimits property.
    Parameters:
      `value` - allowed object is `MapLimits`
    See Also:
      - `getMapLimits()`

  - ### getPolarMapOrientation

    public PolarMapOrientation getPolarMapOrientation()
    Polar map orientation.
    Returns:
      possible object is `PolarMapOrientation`

  - ### setPolarMapOrientation

    public void setPolarMapOrientation(PolarMapOrientation value)
    Sets the value of the polarMapOrientation property.
    Parameters:
      `value` - allowed object is `PolarMapOrientation`
    See Also:
      - `getPolarMapOrientation()`

  - ### getLongitudeVerticalDown

    public float getLongitudeVerticalDown()
    Longitude plotted as vertical down value.

  - ### setLongitudeVerticalDown

    public void setLongitudeVerticalDown(float value)
    Sets the value of the longitudeVerticalDown property.

  - ### getTitle

    public String getTitle()
    Title.
    Returns:
      possible object is `String`

  - ### setTitle

    public void setTitle(String value)
    Sets the value of the title property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getTitle()`

  - ### getFormatOptions

    public GraphFormatOptions getFormatOptions()
    Specifies output label options. An absent value indicates that default values should be used.
    Returns:
      possible object is `GraphFormatOptions`

  - ### setFormatOptions

    public void setFormatOptions(GraphFormatOptions value)
    Sets the value of the formatOptions property.
    Parameters:
      `value` - allowed object is `GraphFormatOptions`
    See Also:
      - `getFormatOptions()`